<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC API Reference: erpc::MessageBuffer::Cursor Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC API Reference
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>API&#160;Reference</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classerpc_1_1_message_buffer_1_1_cursor.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classerpc_1_1_message_buffer_1_1_cursor-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">erpc::MessageBuffer::Cursor Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a class="el" href="classerpc_1_1_message_buffer_1_1_cursor.html" title="Cursor within a MessageBuffer. ">Cursor</a> within a <a class="el" href="classerpc_1_1_message_buffer.html" title="Represents a memory buffer containing a message. ">MessageBuffer</a>.  
 <a href="classerpc_1_1_message_buffer_1_1_cursor.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="message__buffer_8h_source.html">message_buffer.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a840a43c1643b1bcad235120f7d0343e6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_message_buffer_1_1_cursor.html#a840a43c1643b1bcad235120f7d0343e6">Cursor</a> ()</td></tr>
<tr class="memdesc:a840a43c1643b1bcad235120f7d0343e6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a840a43c1643b1bcad235120f7d0343e6">More...</a><br /></td></tr>
<tr class="separator:a840a43c1643b1bcad235120f7d0343e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e15e87d9811aa62005be4a985b94451"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_message_buffer_1_1_cursor.html#a0e15e87d9811aa62005be4a985b94451">Cursor</a> (<a class="el" href="classerpc_1_1_message_buffer.html">MessageBuffer</a> *buffer)</td></tr>
<tr class="memdesc:a0e15e87d9811aa62005be4a985b94451"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a0e15e87d9811aa62005be4a985b94451">More...</a><br /></td></tr>
<tr class="separator:a0e15e87d9811aa62005be4a985b94451"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb7e71e444dcdb0a135d45d351d5dd62"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_message_buffer_1_1_cursor.html#adb7e71e444dcdb0a135d45d351d5dd62">set</a> (<a class="el" href="classerpc_1_1_message_buffer.html">MessageBuffer</a> *buffer)</td></tr>
<tr class="memdesc:adb7e71e444dcdb0a135d45d351d5dd62"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set message buffer.  <a href="#adb7e71e444dcdb0a135d45d351d5dd62">More...</a><br /></td></tr>
<tr class="separator:adb7e71e444dcdb0a135d45d351d5dd62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab4d7097dfd02bf98c094a82caddd2f2"><td class="memItemLeft" align="right" valign="top">uint8_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_message_buffer_1_1_cursor.html#aab4d7097dfd02bf98c094a82caddd2f2">get</a> ()</td></tr>
<tr class="memdesc:aab4d7097dfd02bf98c094a82caddd2f2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return position in buffer.  <a href="#aab4d7097dfd02bf98c094a82caddd2f2">More...</a><br /></td></tr>
<tr class="separator:aab4d7097dfd02bf98c094a82caddd2f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc4f2758fb84c37b0346b554f29862f4"><td class="memItemLeft" align="right" valign="top">const uint8_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_message_buffer_1_1_cursor.html#acc4f2758fb84c37b0346b554f29862f4">get</a> () const </td></tr>
<tr class="memdesc:acc4f2758fb84c37b0346b554f29862f4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return position in buffer.  <a href="#acc4f2758fb84c37b0346b554f29862f4">More...</a><br /></td></tr>
<tr class="separator:acc4f2758fb84c37b0346b554f29862f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a278f9e0126b9b6b062b1855fe5516896"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_message_buffer_1_1_cursor.html#a278f9e0126b9b6b062b1855fe5516896">getRemaining</a> () const </td></tr>
<tr class="memdesc:a278f9e0126b9b6b062b1855fe5516896"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return remaining free space in current buffer.  <a href="#a278f9e0126b9b6b062b1855fe5516896">More...</a><br /></td></tr>
<tr class="separator:a278f9e0126b9b6b062b1855fe5516896"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a13613fadb3bb88585f5802ff845259a4"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_message_buffer_1_1_cursor.html#a13613fadb3bb88585f5802ff845259a4">read</a> (void *data, uint32_t length)</td></tr>
<tr class="memdesc:a13613fadb3bb88585f5802ff845259a4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Read data from current buffer.  <a href="#a13613fadb3bb88585f5802ff845259a4">More...</a><br /></td></tr>
<tr class="separator:a13613fadb3bb88585f5802ff845259a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e3588d2e063d827dbe5dbf72d5952e8"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_message_buffer_1_1_cursor.html#a7e3588d2e063d827dbe5dbf72d5952e8">write</a> (const void *data, uint32_t length)</td></tr>
<tr class="memdesc:a7e3588d2e063d827dbe5dbf72d5952e8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Read data from current buffer.  <a href="#a7e3588d2e063d827dbe5dbf72d5952e8">More...</a><br /></td></tr>
<tr class="separator:a7e3588d2e063d827dbe5dbf72d5952e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a67887d628cafdbcfa2bb715f505d1ed0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a67887d628cafdbcfa2bb715f505d1ed0"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>operator uint8_t *</b> ()</td></tr>
<tr class="separator:a67887d628cafdbcfa2bb715f505d1ed0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aedcee51028cfb91cf23fdd4196571548"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aedcee51028cfb91cf23fdd4196571548"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>operator const uint8_t *</b> () const </td></tr>
<tr class="separator:aedcee51028cfb91cf23fdd4196571548"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a721666b1b9f1460e103a4b69fabf063d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a721666b1b9f1460e103a4b69fabf063d"></a>
uint8_t &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator[]</b> (int index)</td></tr>
<tr class="separator:a721666b1b9f1460e103a4b69fabf063d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a419699bfaa21427f8b34c95222479e54"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a419699bfaa21427f8b34c95222479e54"></a>
const uint8_t &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator[]</b> (int index) const </td></tr>
<tr class="separator:a419699bfaa21427f8b34c95222479e54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3ea93264bdf3679f3d77e53f1f85552"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab3ea93264bdf3679f3d77e53f1f85552"></a>
<a class="el" href="classerpc_1_1_message_buffer_1_1_cursor.html">Cursor</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator+=</b> (uint16_t n)</td></tr>
<tr class="separator:ab3ea93264bdf3679f3d77e53f1f85552"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02907775cbd61bd0637398a3ea62c335"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a02907775cbd61bd0637398a3ea62c335"></a>
<a class="el" href="classerpc_1_1_message_buffer_1_1_cursor.html">Cursor</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator-=</b> (uint16_t n)</td></tr>
<tr class="separator:a02907775cbd61bd0637398a3ea62c335"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35942623a2f3a3bb9d97a56c62ea1772"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a35942623a2f3a3bb9d97a56c62ea1772"></a>
<a class="el" href="classerpc_1_1_message_buffer_1_1_cursor.html">Cursor</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator++</b> ()</td></tr>
<tr class="separator:a35942623a2f3a3bb9d97a56c62ea1772"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76b6e10a6ec29b3e69662da0ca6a7f30"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a76b6e10a6ec29b3e69662da0ca6a7f30"></a>
<a class="el" href="classerpc_1_1_message_buffer_1_1_cursor.html">Cursor</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator--</b> ()</td></tr>
<tr class="separator:a76b6e10a6ec29b3e69662da0ca6a7f30"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p><a class="el" href="classerpc_1_1_message_buffer_1_1_cursor.html" title="Cursor within a MessageBuffer. ">Cursor</a> within a <a class="el" href="classerpc_1_1_message_buffer.html" title="Represents a memory buffer containing a message. ">MessageBuffer</a>. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a840a43c1643b1bcad235120f7d0343e6"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">erpc::MessageBuffer::Cursor::Cursor </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>This function initializes object attributes. </p>

</div>
</div>
<a class="anchor" id="a0e15e87d9811aa62005be4a985b94451"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">erpc::MessageBuffer::Cursor::Cursor </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classerpc_1_1_message_buffer.html">MessageBuffer</a> *&#160;</td>
          <td class="paramname"><em>buffer</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>This function initializes object attributes.</p>
<p>param[in] buffer <a class="el" href="classerpc_1_1_message_buffer.html" title="Represents a memory buffer containing a message. ">MessageBuffer</a> for sending/receiving. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="adb7e71e444dcdb0a135d45d351d5dd62"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MessageBuffer::Cursor::set </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classerpc_1_1_message_buffer.html">MessageBuffer</a> *&#160;</td>
          <td class="paramname"><em>buffer</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set message buffer. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">buffer</td><td>Message buffer to set. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aab4d7097dfd02bf98c094a82caddd2f2"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t* erpc::MessageBuffer::Cursor::get </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Return position in buffer. </p>
<p>Return position, where it last write/read.</p>
<dl class="section return"><dt>Returns</dt><dd>Return position in buffer. </dd></dl>

</div>
</div>
<a class="anchor" id="acc4f2758fb84c37b0346b554f29862f4"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const uint8_t* erpc::MessageBuffer::Cursor::get </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Return position in buffer. </p>
<p>Return position, where it last write/read.</p>
<dl class="section return"><dt>Returns</dt><dd>Return position in buffer. </dd></dl>

</div>
</div>
<a class="anchor" id="a278f9e0126b9b6b062b1855fe5516896"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t erpc::MessageBuffer::Cursor::getRemaining </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Return remaining free space in current buffer. </p>
<dl class="section return"><dt>Returns</dt><dd>Remaining free space in current buffer. </dd></dl>

</div>
</div>
<a class="anchor" id="a13613fadb3bb88585f5802ff845259a4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a> MessageBuffer::Cursor::read </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>length</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Read data from current buffer. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">data</td><td>Pointer to value, where copy read data. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">length</td><td>How much bytes need be read.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kErpcStatus_Success</td><td></td></tr>
    <tr><td class="paramname">kErpcStatus_BufferOverrun</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a7e3588d2e063d827dbe5dbf72d5952e8"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a> MessageBuffer::Cursor::write </td>
          <td>(</td>
          <td class="paramtype">const void *&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>length</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Read data from current buffer. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">data</td><td>Pointer to value to be sent. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">length</td><td>How much bytes need be wrote.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kErpcStatus_Success</td><td></td></tr>
    <tr><td class="paramname">kErpcStatus_BufferOverrun</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="message__buffer_8h_source.html">message_buffer.h</a></li>
<li>message_buffer.cpp</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
